Package edu.fiu.jtlex

# Class CompoundTerm

java.lang.Object
edu.fiu.jtlex.CompoundTerm

All Implemented Interfaces:
  `IANode`, `ICompoundTerm`

    public class CompoundTerm
    extends java.lang.Object
    implements ICompoundTerm

Author:
  arada002

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface edu.fiu.jtlex.ICompoundTerm

  `ICompoundTerm.Label`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CompoundTerm​(int id, ICompoundTerm.Label[] labels, java.lang.String lemma, edu.fiu.jtlex.data.ITimex.TimexType timexType, int begin, int end, java.lang.String text, ITerm.PartOfSpeech pos, int elementID, java.lang.String tense, java.lang.String aspect, java.lang.String timexText, java.lang.String duration, Term[] terms)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAspect()` | the aspectual facet (telicity) of the main event.
  `int` | `getBegin()` | chracter begins on
  `java.lang.String` | `getDuration()` | the durational facet of the main event.
  `int` | `getElementID()` | number of node
  `int` | `getEnd()` | character ends on
  `int` | `getId()` | id of the anansi; may not be negative
  `ICompoundTerm.Label[]` | `getLabels()` | Tags category
  `java.lang.String` | `getLemma()` | indicates the ‘head’ or the main term in the noun phrase.
  `ITerm.PartOfSpeech` | `getPos()` | part of speech
  `java.lang.String` | `getTense()` | past present future
  `Term[]` | `getTerms()` | represented as a Contains relation.
  `java.lang.String` | `getText()` | raw text
  `java.lang.String` | `getTimexText()` | raw text
  `edu.fiu.jtlex.data.ITimex.TimexType` | `getTimexType()` | Duration
  `java.lang.String` | `getVoice()` | Tags category

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompoundTerm

    public CompoundTerm​(int id, ICompoundTerm.Label[] labels, java.lang.String lemma, edu.fiu.jtlex.data.ITimex.TimexType timexType, int begin, int end, java.lang.String text, ITerm.PartOfSpeech pos, int elementID, java.lang.String tense, java.lang.String aspect, java.lang.String timexText, java.lang.String duration, Term[] terms)
    Parameters:
      `id` - id of the anansi; may not be negative
      `labels` - Tags category
      `lemma` - indicates the ‘head’ or the main term in the noun phrase.
      `timexType` - Duration
      `begin` - character it begins
      `end` - character it ends
      `text` - raw text
      `pos` - part of speech
      `elementID` - node number
      `tense` - present past future
      `aspect` - the aspectual facet (telicity) of the main event.
      `timexText` -
      `duration` - the durational facet of the main event.
      `terms` - represented as a Contains relation.

- ## Method Details

  - ### getId

    public int getId()
    id of the anansi; may not be negative
    Specified by:
      `getId` in interface `IANode`
    Specified by:
      `getId` in interface `ICompoundTerm`
    Returns:
      id

  - ### getLabels

    public ICompoundTerm.Label[] getLabels()
    Tags category
    Specified by:
      `getLabels` in interface `ICompoundTerm`
    Returns:
      labels

  - ### getLemma

    public java.lang.String getLemma()
    indicates the ‘head’ or the main term in the noun phrase.
    Specified by:
      `getLemma` in interface `ICompoundTerm`
    Returns:
      lemma

  - ### getTimexType

    public edu.fiu.jtlex.data.ITimex.TimexType getTimexType()
    Duration
    Specified by:
      `getTimexType` in interface `ICompoundTerm`
    Returns:
      timexType

  - ### getBegin

    public int getBegin()
    chracter begins on
    Specified by:
      `getBegin` in interface `ICompoundTerm`
    Returns:
      begin

  - ### getEnd

    public int getEnd()
    character ends on
    Specified by:
      `getEnd` in interface `ICompoundTerm`
    Returns:
      end

  - ### getText

    public java.lang.String getText()
    raw text
    Specified by:
      `getText` in interface `ICompoundTerm`
    Returns:
      text

  - ### getPos

    public ITerm.PartOfSpeech getPos()
    part of speech
    Specified by:
      `getPos` in interface `ICompoundTerm`
    Returns:
      pos

  - ### getElementID

    public int getElementID()
    number of node
    Specified by:
      `getElementID` in interface `ICompoundTerm`
    Returns:
      elementID

  - ### getTense

    public java.lang.String getTense()
    past present future
    Specified by:
      `getTense` in interface `ICompoundTerm`
    Returns:
      tense

  - ### getAspect

    public java.lang.String getAspect()
    the aspectual facet (telicity) of the main event.
    Specified by:
      `getAspect` in interface `ICompoundTerm`
    Returns:
      aspect

  - ### getVoice

    public java.lang.String getVoice()
    Tags category
    Specified by:
      `getVoice` in interface `ICompoundTerm`
    Returns:
      timexText

  - ### getDuration

    public java.lang.String getDuration()
    the durational facet of the main event.
    Specified by:
      `getDuration` in interface `ICompoundTerm`
    Returns:
      duration

  - ### getTimexText

    public java.lang.String getTimexText()
    raw text
    Specified by:
      `getTimexText` in interface `ICompoundTerm`
    Returns:
      timexText

  - ### getTerms

    public Term[] getTerms()
    represented as a Contains relation.
    Returns:
      terms